html {
  scroll-behavior: smooth;
}
.header-section {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 999;
    background-color: transparent;
    transition: background-color 0.3s ease;
}

.header-section.scrolled {
    background-color: #1e1e1e; /* Warna solid saat scroll */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    margin-top: -40px;
    padding-bottom: 15px;
}

/* Teks dan menu saat transparan */
.header-section.not-scrolled .main-menu a,
.header-section.not-scrolled .site-btn.header-btn,
.header-section.not-scrolled .site-logo,
.header-section.not-scrolled .main-menu li a {
    
}

/* Saat discroll, ubah jadi putih */
.header-section.scrolled .main-menu a,
.header-section.scrolled .site-btn.header-btn,
.header-section.scrolled .site-logo,
.header-section.scrolled .main-menu li a {
    /* color: #fff; */
}

/* Floating button to scroll to top */
#scrollTopBtn {
    display: none;
    position: fixed;
    bottom: 40px;
    right: 30px;
    z-index: 99;
    width: 50px;
    height: 50px;
    font-size: 18px;
    border: none;
    outline: none;
    background-color: #d6304a; /* warna merah */
    color: white;
    cursor: pointer;
    border-radius: 50%; /* bikin bulat sempurna */
    box-shadow: 0 4px 10px rgba(0,0,0,0.2);
    transition: background-color 0.3s ease;
    line-height: 50px;
    text-align: center;
}


#scrollTopBtn:hover {
    background-color: #a91c36; /* warna merah lebih gelap saat hover */
}
